## Debug logging

Debug logging

## Functions

void | e_debug_log ()
void | e_debug_logv ()
gboolean | e_debug_log_load_configuration ()
void | e_debug_log_enable_domains ()
void | e_debug_log_disable_domains ()
gboolean | e_debug_log_is_domain_enabled ()
gboolean | e_debug_log_dump ()
gboolean | e_debug_log_dump_to_dated_file ()
void | e_debug_log_set_max_lines ()
gint | e_debug_log_get_max_lines ()
void | e_debug_log_clear ()

## Types and Values

#define | E_DEBUG_LOG_DOMAIN_USER
#define | E_DEBUG_LOG_DOMAIN_GLOG
#define | E_DEBUG_LOG_DOMAIN_CAL_QUERIES

## Description

## Functions

### e_debug_log ()

    void
    e_debug_log (gboolean is_milestone,
                 const gchar *domain,
                 const gchar *format,
                 ...);

Since 2.32

### e_debug_logv ()

    void
    e_debug_logv (gboolean is_milestone,
                  const gchar *domain,
                  const gchar *format,
                  va_list args);

Since 2.32

### e_debug_log_load_configuration ()

    gboolean
    e_debug_log_load_configuration (const gchar *filename,
                                    GError **error);

Since 2.32

### e_debug_log_enable_domains ()

    void
    e_debug_log_enable_domains (const gchar **domains,
                                gint n_domains);

Since 2.32

### e_debug_log_disable_domains ()

    void
    e_debug_log_disable_domains (const gchar **domains,
                                 gint n_domains);

Since 2.32

### e_debug_log_is_domain_enabled ()

    gboolean
    e_debug_log_is_domain_enabled (const gchar *domain);

Since 2.32

### e_debug_log_dump ()

    gboolean
    e_debug_log_dump (const gchar *filename,
                      GError **error);

Since 2.32

### e_debug_log_dump_to_dated_file ()

    gboolean
    e_debug_log_dump_to_dated_file (GError **error);

Since 2.32

### e_debug_log_set_max_lines ()

    void
    e_debug_log_set_max_lines (gint num_lines);

Since 2.32

### e_debug_log_get_max_lines ()

    gint
    e_debug_log_get_max_lines (void);

Since 2.32

### e_debug_log_clear ()

    void
    e_debug_log_clear (void);

Since 2.32

## Types and Values

### E_DEBUG_LOG_DOMAIN_USER

    #define E_DEBUG_LOG_DOMAIN_USER "USER" /* always enabled */

Since 2.32

### E_DEBUG_LOG_DOMAIN_GLOG

    #define E_DEBUG_LOG_DOMAIN_GLOG "GLog" /* used for GLog messages; don't use it yourself */

Since 2.32

### E_DEBUG_LOG_DOMAIN_CAL_QUERIES

    #define E_DEBUG_LOG_DOMAIN_CAL_QUERIES "CalQueries" /* used for calendar queries analysis */

Since 2.32